<?php

/**
 * @file
 * Administration related functions.
 */

/**
 * Menu callback.
 */
function faq_search_admin_settings_form() {
  $form = array();
  $settings = faq_search_settings();
  $form['faq_search'] = array(
    '#tree' => TRUE,
  );
  $form['faq_search']['keypress'] = array(
    '#type' => 'checkbox',
    '#title' => t('Search on key-press'),
    '#default_value' => $settings['keypress'],
  );
  $form['faq_search']['submit'] = array(
    '#type' => 'checkbox',
    '#title' => t('Add a submit button'),
    '#default_value' => $settings['submit'],
  );
  $form['faq_search']['submit-action'] = array(
    '#type' => 'radios',
    '#title' => t('Summit action'),
    '#options' => array('ajax' => t('AJAX search'), 'results' => t('Go to FAQ page')),
    '#default_value' => $settings['submit-action'],
  );
  $form['faq_search']['results'] = array(
    '#type' => 'radios',
    '#title' => t('Result format'),
    '#options' => array(
      'questions-links' => t('Short questions linked to question faq page'),
//      'questions-answers-js' => t('Short questions. Clicking on question opens/hides answer under question'),
      'questions-answers' => t('Short questions and full answers'),
      'questions-answers-link' => t('Short questions and full answers. Short questions linked to question faq page.'),
    ),
    '#default_value' => $settings['results'],
  );
  $form['faq_search']['show-entries-on-load'] = array(
    '#type' => 'checkbox',
    '#title' => t('Show FAQ enteries when the block is first displayed.'),
    '#default_value' => $settings['show-entries-on-load'],
  );
  $form['faq_search']['show-entries-if-empty'] = array(
    '#type' => 'checkbox',
    '#title' => t('Show FAQ enteries when an empty string is submitted.'),
    '#default_value' => $settings['show-entries-if-empty'],
  );


  $form['faq_search']['q-prefix'] = array(
    '#type' => 'textfield',
    '#title' => t('Question prefix'),
    '#default_value' => $settings['q-prefix'],
    '#description' => t('This gets prefixed to the question, inside any link created.'),
  );
  $form['faq_search']['a-prefix'] = array(
    '#type' => 'textfield',
    '#title' => t('Answer prefix'),
    '#default_value' => $settings['a-prefix'],
  );
  $form['faq_search']['limit'] = array(
    '#type' => 'select',
    '#title' => t('Result limit'),
    '#options' => drupal_map_assoc(range(1, 25)),
    '#default_value' => $settings['limit'],
  );

  $form['faq_search']['viewall'] = array(
    '#type' => 'radios',
    '#title' => t('Add a view all link to FAQ page'),
    '#options' => array(
      0 => t('Do not add'),
      1 => t('Only add to results'),
      2 => t('Always add to block.'),
    ),
    '#default_value' => $settings['viewall'],
  );
  return system_settings_form($form);
}
