
$(document).ready(function(){
  $("#faq-search-form .form-text").keyup(function(e){ 
    if (Drupal.settings.faq_search.keypress) {
      e.preventDefault();
      faq_search_ajax(false);
    }
  });
  $('#faq-search-form').submit(function(e) {
    if (Drupal.settings.faq_search.submit_action == 'ajax') {
      e.preventDefault();
      faq_search_ajax(true);
    }
  });
	
  function faq_search_ajax(form_submit){ 
    $("#faq-results").html("<div class='loading'></div>").slideDown();
    
    var basePath = Drupal.settings.basePath;
    var search_val=$("#faq-search-form .form-text").val();
    
    if (search_val.length != "" || Drupal.settings.faq_search.showEntriesIfEmpty) {
      $.ajax({
        type: 'POST',
        url: basePath + 'faq-search',
        data: { js: true, keyword : search_val},
        dataType: 'json',
        success: function (data) {
          if (data.status) {
            // Success.
            if (data.data.length > 0){ 
              $("#faq-results").html(data.data); 
              Drupal.attachBehaviors($("#faq-results").get(0));
            }
            else {
              $("#faq-results").html('No matches were found.');              
            }
          }
          else {
            // Failure.
            $("#faq-results").html('An internal error occured.'); ;
          }
        },
        error: function (xmlhttp) {
          $("#faq-results").html('An HTTP error '+ xmlhttp.status +' occurred.'); ;
        }
      });
      
    } else {
      // Only show error on form submit
      if (form_submit) {
        $("#faq-results").html("<p class='message'>Please type a keyword.</p>");
      }
      else {
        $("#faq-results").html('').css("display", "none");
      }
    }
  }

});
